net.sf.statsvn.util

## Class SvnCommandLineProcessor

- java.lang.Object
- - net.sf.statsvn.util.SvnCommandLineProcessor

All Implemented Interfaces:
  ISvnProcessor

    public class SvnCommandLineProcessor
    extends java.lang.Object
    implements ISvnProcessor

Base processor that uses the command line svn client.

Author:
  jkealey

### Constructor Summary

Constructors
Constructor and Description
`SvnCommandLineProcessor()`

### Method Summary

Methods
`ISvnDiffProcessor` `getDiffProcessor()`
`ISvnInfoProcessor` `getInfoProcessor()`
`ISvnPropgetProcessor` `getPropgetProcessor()`
`ISvnVersionProcessor` `getVersionProcessor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SvnCommandLineProcessor

    public SvnCommandLineProcessor()

### Method Detail

#### getDiffProcessor

    public ISvnDiffProcessor getDiffProcessor()

Specified by:
  `getDiffProcessor` in interface `ISvnProcessor`

#### getInfoProcessor

    public ISvnInfoProcessor getInfoProcessor()

Specified by:
  `getInfoProcessor` in interface `ISvnProcessor`

#### getPropgetProcessor

    public ISvnPropgetProcessor getPropgetProcessor()

Specified by:
  `getPropgetProcessor` in interface `ISvnProcessor`

#### getVersionProcessor

    public ISvnVersionProcessor getVersionProcessor()

Specified by:
  `getVersionProcessor` in interface `ISvnProcessor`